Package com.orchestranetworks.instance

# Interface RepositoryStatus.State

Enclosing interface:
  RepositoryStatus

public static interface RepositoryStatus.State

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format()`
  Returns the persistent identifier of this state.
  `UserMessage`
  `getLabel()`
  Returns the label for the end-user.
  `boolean`
  `isDead()`
  This state registers a Java process which has been stopped.
  `boolean`
  `isHoldingOwnership()`
  This state registers a Java process which has taken exclusive ownership of the database.
  `boolean`
  `isNoOwnership()`
  This state registers a Java process which failed to take ownership of the database because another process was holding it.
  `boolean`
  `isStandby()`
  This state registers a Java process which has been started in failover standby mode, but is not yet allowed to interact with the repository.

- ## Method Details

  - ### isDead

    boolean isDead()
    This state registers a Java process which has been stopped.

    The corresponding code is 'D'.

  - ### isHoldingOwnership

    boolean isHoldingOwnership()
    This state registers a Java process which has taken exclusive ownership of the database.

    The corresponding code is 'O'.

  - ### isStandby

    boolean isStandby()
    This state registers a Java process which has been started in failover standby mode, but is not yet allowed to interact with the repository.

    The corresponding code is 'S'.

    See Also:
      - `RepositoryStatus.wakeFromStandby(String)`

  - ### isNoOwnership

    boolean isNoOwnership()
    This state registers a Java process which failed to take ownership of the database because another process was holding it.

    The corresponding code is 'N'.

  - ### format

    String format()
    Returns the persistent identifier of this state. The returned code is documented for each state in the corresponding boolean methods above.

  - ### getLabel

    UserMessage getLabel()
    Returns the label for the end-user.